<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>{{ app_name }}</title>
</head>

<body>

    <div class="container text-center">
        <div class="row">
            <div class="col p-3">
                <img src="{{ url_for('static', filename='lacework_quicksign.svg') }}" alt="" height="100">
                <h1>{{ app_name }}</h1>
            </div>
        </div>
        <div class="row">
            <div class="col p-3">
                <img src="{{ url }}" alt="BeachOps" class="img-fluid" loading="lazy">
            </div>
        </div>
        <div class="row">
            <div class="col p-3">
                <button type="button" class="btn btn-light">
                    Container Id <span class="badge bg-dark">{{ hostname }}</span>
                </button>
                <button type="button" class="btn btn-light">Source IP <span class="badge bg-dark">{{ ip }}</span>
                </button>
                <button type="button" class="btn btn-light">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                        class="bi bi-cup-straw" viewBox="0 0 16 16">
                        <path
                            d="M13.902.334a.5.5 0 0 1-.28.65l-2.254.902-.4 1.927c.376.095.715.215.972.367.228.135.56.396.56.82 0 .046-.004.09-.011.132l-.962 9.068a1.28 1.28 0 0 1-.524.93c-.488.34-1.494.87-3.01.87-1.516 0-2.522-.53-3.01-.87a1.28 1.28 0 0 1-.524-.93L3.51 5.132A.78.78 0 0 1 3.5 5c0-.424.332-.685.56-.82.262-.154.607-.276.99-.372C5.824 3.614 6.867 3.5 8 3.5c.712 0 1.389.045 1.985.127l.464-2.215a.5.5 0 0 1 .303-.356l2.5-1a.5.5 0 0 1 .65.278zM9.768 4.607A13.991 13.991 0 0 0 8 4.5c-1.076 0-2.033.11-2.707.278A3.284 3.284 0 0 0 4.645 5c.146.073.362.15.648.222C5.967 5.39 6.924 5.5 8 5.5c.571 0 1.109-.03 1.588-.085l.18-.808zm.292 1.756C9.445 6.45 8.742 6.5 8 6.5c-1.133 0-2.176-.114-2.95-.308a5.514 5.514 0 0 1-.435-.127l.838 8.03c.013.121.06.186.102.215.357.249 1.168.69 2.438.69 1.27 0 2.081-.441 2.438-.69.042-.029.09-.094.102-.215l.852-8.03a5.517 5.517 0 0 1-.435.127 8.88 8.88 0 0 1-.89.17zM4.467 4.884s.003.002.005.006l-.005-.006zm7.066 0-.005.006c.002-.004.005-.006.005-.006zM11.354 5a3.174 3.174 0 0 0-.604-.21l-.099.445.055-.013c.286-.072.502-.149.648-.222z" />
                    </svg>
                    {{ cocktail }}
                </button>
                {% if shell %}
                <button type="button" class="btn btn-light" data-bs-toggle="collapse" data-bs-target="#collapseShell"
                    aria-expanded="false" aria-controls="collapseShell">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                        class="bi bi-terminal-fill" viewBox="0 0 16 16">
                        <path
                            d="M0 3a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3zm9.5 5.5h-3a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1zm-6.354-.354a.5.5 0 1 0 .708.708l2-2a.5.5 0 0 0 0-.708l-2-2a.5.5 0 1 0-.708.708L4.793 6.5 3.146 8.146z" />
                    </svg>
                </button>
                {% endif %}
            </div>
        </div>
        {% if shell %}
        <div class="row">
            <div class="col p-3">
                <div class="collapse" id="collapseShell">
                    <div class="card card-body text-start">
                        <form>
                            <div class="form-floating mb-3">
                                <textarea class="form-control" placeholder="Enter your command" id="command"
                                    style="height: 100px"></textarea>
                                <label for="command">Enter your command</label>
                            </div>
                            <button id="run-command" onclick="sendCmd()" type="button"
                                class="btn btn-danger">Execute</button>
                            <div class="form-floating mt-3">
                                <textarea readonly class="form-control" placeholder="Result" id="result"
                                    style="height: 100px"></textarea>
                                <label for="result">Result</label>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% endif %}
    </div>
    {% if shell %}
    <script src="http://code.jquery.com/jquery-latest.min.js" type="text/javascript"></script>
    <script>
        function sendCmd() {
            var xhr = new XMLHttpRequest();
            xhr.open("POST", '/shell', true);

            //Send the proper header information along with the request
            xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");

            xhr.onreadystatechange = function () { // Call a function when the state changes.
                if (this.readyState === XMLHttpRequest.DONE && this.status === 200) {
                    $("#result").val(this.response);
                }
            }
            xhr.send('"' + $("#command").val() + '"');
        }
    </script>
    {% endif %}
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

</body>

</html>
